Skip to navigation

List Users

Returns a list of a Company’s users by role.

Equivalent Storefront GraphQL API Query: users. For more information, see the GraphQL Playground.

The role parameter allows you to filter for users that have a predefined Company role. You can also view all users in a Company, or users with an unknown role.

Authentication

AuthorizationBearer

Authentication header

HeaderArgumentDescription
AuthorizationBearer {{B2B_JWT_TOKEN}}You can obtain this token using the steps described in the REST Storefront API section[…]

Query parameters

qstringOptional
The search string for the request.
roleenumRequired

The ID of the role assigned to the Company user account as given below.

ValueCode
0Admin
1Senior Buyer
2Junior Buyer
3Super Admin
4Unknown
Allowed values:
limitstringOptionalDefaults to 10
The total number of items per page of the response.
offsetstringOptional
The number of items to skip before the current page of the response.

Response

OK
messagestringOptional
codedoubleOptionalDefaults to 200
dataobjectOptional